. $config
askyes "diffs" "Apply diffs to knoppix root fs"

# apply diffs to the knoppix root filesystem
for d in diffs/*.diff; do
  cp $d $newtree/currdiff
  chroot $newtree sh -c "patch -p0 </currdiff"
done
rm $newtree/currdiff
    
